Foreman - Bug #1432

subnet gateway infos only saved when fill gateway and dns fields
01/05/2012 03:56 PM - Florian Koch

Status: Closed
Priority: Normal
Assignee: Florian Koch
Category:

Target version: 1.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hi,

fix bug from ttp://www.theforeman.org/issues/1361#change-4337

the informations in the subnet form only saved if you fill the gateway and one dns fields.
the cause is the validation in models/subnets.rb

whyever the :allow_blank should work, but i need to add :allow_nil also to get this working

rgds florian

Related issues:
Related to Foreman - Feature #1361: Allow subnet information to be accessed f... Closed

11/28/2011

Associated revisions

Revision 8cc2722d - 01/08/2012 10:06 AM - Florian Koch

fixes #1432 - subnet gateway infos only saved when fill gateway and dns fields

the informations in the subnet form only saved if you fill the gateway and one dns fields

the cause is the validation in models/subnets.rb

whyever the :allow_blank should work, but i need to add :allow_nil also to get this working

Signed-off-by: Florian Koch <florian.koch1981@googlemail.com>

History

#1 - 01/05/2012 04:00 PM - Florian Koch
http://groups.google.com/group/foreman-dev/browse_thread/thread/abb624c428df6ff

#2 - 01/08/2012 11:48 AM - Florian Koch
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 8cc2722dfadc1b10c9337e1bc80748671a24852a.
